manifoldcf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl Wright (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CONNECTORS-1238) Update MCF's lucene/solr connector to use the most recent solr jar etc.
Date Wed, 07 Sep 2016 11:20:20 GMT

    [ https://issues.apache.org/jira/browse/CONNECTORS-1238?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15470334#comment-15470334
] 

Karl Wright commented on CONNECTORS-1238:
-----------------------------------------

Hi Abe-san,

Zookeeper version in build.xml on trunk is:

{code}
    <property name="zookeeper.version" value="3.4.8"/>
{code}

Zookeeper is pretty good about backwards compatibility so I think it is ok to be ahead of
Solrj for this.

Also, if you want to attempt to upgrade to solrj 6.x, please by all means go ahead.  We override
several Solrj classes, though, in order to fix problems in SolrJ code.  Some of these overrides
will probably need to remain while others we can perhaps remove.  So I think some careful
testing is going to be needed.

> Update MCF's lucene/solr connector to use the most recent solr jar etc.
> -----------------------------------------------------------------------
>
>                 Key: CONNECTORS-1238
>                 URL: https://issues.apache.org/jira/browse/CONNECTORS-1238
>             Project: ManifoldCF
>          Issue Type: Task
>          Components: Build, Lucene/SOLR connector
>    Affects Versions: ManifoldCF 2.3
>            Reporter: Karl Wright
>            Assignee: Karl Wright
>             Fix For: ManifoldCF 2.6
>
>
> Solr is up to revision 5.3, and 5.3.1 is also imminent.  We should bring MCF up to date,
especially since there's now a new "security module" which provides authentication of various
kinds.
> It's possible that this will also require updates to httpclient.  Some effort has been
made to make Kerberos be more usable in the client, although I don't know where that effort
stands.  It may not be available even yet.  In general we try to upgrade to whatever version
Solr is happy with, since Solr is so dependent on precise versions of httpclient.
> [~alessandro.benedetti]], perhaps you might have some experience with this?



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message